Subject: bug#40544: closed (Re: bug#40544: Pulseaudio is not looking for user configuration)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Apr 2020 20:51:02 +0000

Your bug report

#40544: Pulseaudio is not looking for user configuration

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40544: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40544
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40544: Pulseaudio is not looking for user configuration
From: Ludovic Courtès <[email-masked]>
To: Diego Nicola Barbato <[email-masked]>
Cc: pkill9 <[email-masked]>, [email-masked]
Date: Tue, 28 Apr 2020 22:49:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Diego,

Diego Nicola Barbato <[email-masked]> skribis:

>>> That's a known [0] (but AFAIK undocumented) side effect of the
>>> PulseAudio service, which was added to %desktop-services in January [1].
>>> If you want PulseAudio to read your user configuration files you'll have
>>> to remove that service from your system services or unset PULSE_CONFIG
>>> and PULSE_CLIENT_CONFIG in ~/.profile [2].
>>
>> It would be good to document that, right below
>> ‘pulseaudio-service-type’.  Would you like to give it a try, Diego?
>
> I've attached a patch, which adds a warning to the documentation.
>
>> Or alternately, is there a way we can arrange so that the user’s config
>> takes precedence over /etc/pulse?
>
> We can't configure PulseAudio with "--sysconfdir=/etc" because it would
> break without the service (e.g. on foreign distributions).[0]

OK.

> We could patch PulseAudio to make the sysconfdir configurable at runtime
> using an environment variable.  The service could set this environment
> variable to /etc instead of setting ‘PULSE_CONFIG’ and
> ‘PULSE_CLIENT_CONFIG’.  That way the user's config would take precedence
> over /etc/pulse (PulseAudio's normal behaviour).  Without the service
> (and with the environment variable unset) it would fall back to the
> sysconfdir configured at build time so it wouldn't break on foreign
> distributions.  Although I doubt that the slight improvement in user
> experience would justify the increased maintenance burden.

Yeah, plus I’d rather use existing mechanism than patch PulseAudio.

But anyway, we can revisit this later if documenting the issue turns out
to be insufficient.

> From a33a10102f555454d9025b0693edf8d539f6a7af Mon Sep 17 00:00:00 2001
> From: Diego Nicola Barbato <[email-masked]>
> Date: Sat, 25 Apr 2020 11:32:07 +0200
> Subject: [PATCH] doc: Mention that PulseAudio service overrides user
>  configuration.
>
> * doc/guix.texi (Sound Services): Add a warning that 'pulseaudio-service-type'
>   overrides per-user configuration files in '~/.config/pulse'.

Applied, thank you!

Ludo’.

Subject: Pulseaudio is not looking for user configuration
From: pkill9 <[email-masked]>
To: [email-masked]
Date: Fri, 10 Apr 2020 18:20:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Pulseaudio doesn't read my user configuration files according to strace.

Attached is the output of `strace -o /tmp/log.log pulseaudio` - It only
looks for /etc/pulse/daemon.conf.